Create a new presentation
curl --request POST \
--url https://test.didxtech.com/me-creds/api/v1/presentations/request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"presentationTemplateId": "cm2ytsdid009u4ke3t30aiuvc"
}
'import requests
url = "https://test.didxtech.com/me-creds/api/v1/presentations/request"
payload = { "presentationTemplateId": "cm2ytsdid009u4ke3t30aiuvc" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({presentationTemplateId: 'cm2ytsdid009u4ke3t30aiuvc'})
};
fetch('https://test.didxtech.com/me-creds/api/v1/presentations/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "cmbhsgi6c00cls60120oyb8tl",
"createdAt": "2025-06-04T10:12:20.101Z",
"updatedAt": "2025-06-04T10:12:20.101Z",
"status": "requested",
"error": null,
"notice": null,
"presentationTemplateId": "cma2nw2vd00sos601irn14wt1",
"credentials": [
{
"isValid": true,
"format": "sd-jwt-vc",
"name": "Identity",
"type": "https://test.didxtech.com/vct/acme-university/identity",
"issuer": {
"type": "did",
"did": "did:web:test.didxtech.com:metadata:3c9d79ef-6aca-4f3e-b2ab-1f2933b7fe90"
},
"attributes": {
"name": "Johny",
"surname": "Postman"
},
"issues": [],
"trustSignals": []
}
],
"expiresAt": "2025-07-04T10:12:20.088Z",
"authorizationRequestUri": "https://creds-app.test.didxtech.com/invitation?request_uri=https%3A%2F%2Fcreds-app.test.didxtech.com%2Finvitation%2F421b518d-ad91-4802-ab25-3a83c9f7f44e%2Fauthorization-requests%2F92c2b88e-9a3d-4ca4-a33f-8687588d0f6b%3Fraw%3Dtrue&client_id=did%3Aweb%3Atest.didxtech.com%3Ametadata%3A3c9d79ef-6aca-4f3e-b2ab-1f2933b7fe90",
"authorizationRequestQrUri": "https://creds-app.test.didxtech.com/invitation?request_uri=https%3A%2F%2Fcreds-app.test.didxtech.com%2Finvitation%2F421b518d-ad91-4802-ab25-3a83c9f7f44e%2Fauthorization-requests%2F92c2b88e-9a3d-4ca4-a33f-8687588d0f6b%3Fraw%3Dtrue&qr=true"
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Presentations API
Create a new presentation (v1)
POST
/
v1
/
presentations
/
request
Create a new presentation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
201 - application/json
Presentation request created
Show child attributes
Show child attributes
Example:
{
"id": "cmbhsgi6c00cls60120oyb8tl",
"createdAt": "2025-06-04T10:12:20.101Z",
"updatedAt": "2025-06-04T10:12:20.101Z",
"status": "requested",
"error": null,
"notice": null,
"presentationTemplateId": "cma2nw2vd00sos601irn14wt1",
"credentials": [
{
"isValid": true,
"format": "sd-jwt-vc",
"name": "Identity",
"type": "https://test.didxtech.com/vct/acme-university/identity",
"issuer": {
"type": "did",
"did": "did:web:test.didxtech.com:metadata:3c9d79ef-6aca-4f3e-b2ab-1f2933b7fe90"
},
"attributes": { "name": "Johny", "surname": "Postman" },
"issues": [],
"trustSignals": []
}
],
"expiresAt": "2025-07-04T10:12:20.088Z",
"authorizationRequestUri": "https://creds-app.test.didxtech.com/invitation?request_uri=https%3A%2F%2Fcreds-app.test.didxtech.com%2Finvitation%2F421b518d-ad91-4802-ab25-3a83c9f7f44e%2Fauthorization-requests%2F92c2b88e-9a3d-4ca4-a33f-8687588d0f6b%3Fraw%3Dtrue&client_id=did%3Aweb%3Atest.didxtech.com%3Ametadata%3A3c9d79ef-6aca-4f3e-b2ab-1f2933b7fe90",
"authorizationRequestQrUri": "https://creds-app.test.didxtech.com/invitation?request_uri=https%3A%2F%2Fcreds-app.test.didxtech.com%2Finvitation%2F421b518d-ad91-4802-ab25-3a83c9f7f44e%2Fauthorization-requests%2F92c2b88e-9a3d-4ca4-a33f-8687588d0f6b%3Fraw%3Dtrue&qr=true"
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

